cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PV2

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PV2

- All Implemented Interfaces:
    ISegment

      public class PV2
      extends Segment

  PV2 - Patient Visit - Additional Information Segment.

  The PV2 segment is a continuation of information contained on the PV1 segment.

  Represents an HL7 PV2 message segment. This segment has the following fields:

  PV2-1: Prior Pending Location (PL)Conditional
  PV2-2: Accommodation Code (CWE)Optional
  PV2-3: Admit Reason (CWE)Optional
  PV2-4: Transfer Reason (CWE)Optional
  PV2-5: Patient Valuables (ST)Optional
  PV2-6: Patient Valuables Location (ST)Optional
  PV2-7: Visit User Code (CWE)Optional
  PV2-8: Expected Admit Date/Time (DTM)Optional
  PV2-9: Expected Discharge Date/Time (DTM)Optional
  PV2-10: Estimated Length of Inpatient Stay (NM)Optional
  PV2-11: Actual Length of Inpatient Stay (NM)Optional
  PV2-12: Visit Description (ST)Optional
  PV2-13: Referral Source Code (XCN)Optional
  PV2-14: Previous Service Date (DT)Optional
  PV2-15: Employment Illness Related Indicator (ID)Optional
  PV2-16: Purge Status Code (CWE)Optional
  PV2-17: Purge Status Date (DT)Optional
  PV2-18: Special Program Code (CWE)Optional
  PV2-19: Retention Indicator (ID)Optional
  PV2-20: Expected Number of Insurance Plans (NM)Optional
  PV2-21: Visit Publicity Code (CWE)Optional
  PV2-22: Visit Protection Indicator (ID)Backward
  PV2-23: Clinic Organization Name (XON)Optional
  PV2-24: Patient Status Code (CWE)Optional
  PV2-25: Visit Priority Code (CWE)Optional
  PV2-26: Previous Treatment Date (DT)Optional
  PV2-27: Expected Discharge Disposition (CWE)Optional
  PV2-28: Signature on File Date (DT)Optional
  PV2-29: First Similar Illness Date (DT)Optional
  PV2-30: Patient Charge Adjustment Code (CWE)Optional
  PV2-31: Recurring Service Code (CWE)Optional
  PV2-32: Billing Media Code (ID)Optional
  PV2-33: Expected Surgery Date and Time (DTM)Optional
  PV2-34: Military Partnership Code (ID)Optional
  PV2-35: Military Non-Availability Code (ID)Optional
  PV2-36: Newborn Baby Indicator (ID)Optional
  PV2-37: Baby Detained Indicator (ID)Optional
  PV2-38: Mode of Arrival Code (CWE)Optional
  PV2-39: Recreational Drug Use Code (CWE)Optional
  PV2-40: Admission Level of Care Code (CWE)Optional
  PV2-41: Precaution Code (CWE)Optional
  PV2-42: Patient Condition Code (CWE)Optional
  PV2-43: Living Will Code (CWE)Optional
  PV2-44: Organ Donor Code (CWE)Optional
  PV2-45: Advance Directive Code (CWE)Optional
  PV2-46: Patient Status Effective Date (DT)Optional
  PV2-47: Expected LOA Return Date/Time (DTM)Conditional
  PV2-48: Expected Pre-admission Testing Date/Time (DTM)Optional
  PV2-49: Notify Clergy Code (CWE)Optional

  PV2-50: Advance Directive Last Verified Date (DT)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PV2()` Constucts the PV2 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdvanceDirectiveCode(CWE objtempAdvanceDirectiveCode)` Set the Advance Directive Code.
    `void` | `addAdvanceDirectiveCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Advance Directive Code.
    `void` | `addClinicOrganizationName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Clinic Organization Name.
    `void` | `addClinicOrganizationName(XON objtempClinicOrganizationName)` Sets the Clinic Organization Name.
    `void` | `addNotifyClergyCode(CWE objtempNotifyClergyCode)` Set the Notify Clergy Code.
    `void` | `addNotifyClergyCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Notify Clergy Code.
    `void` | `addPatientValuables(ST objtempPatientValuables)` Set the Patient Valuables.
    `void` | `addPatientValuables(java.lang.String strPatientValuables)` Set the Patient Valuables.
    `void` | `addPrecautionCode(CWE objtempPrecautionCode)` Set the Precaution Code.
    `void` | `addPrecautionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Precaution Code.
    `void` | `addRecreationalDrugUseCode(CWE objtempRecreationalDrugUseCode)` Set the Recreational Drug Use Code.
    `void` | `addRecreationalDrugUseCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Recreational Drug Use Code.
    `void` | `addReferralSourceCode(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Referral Source Code.
    `void` | `addReferralSourceCode(XCN objtempReferralSourceCode)` Sets the Referral Source Code.
    `void` | `addVisitUserCode(CWE objtempVisitUserCode)` Set the Visit User Code.
    `void` | `addVisitUserCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Visit User Code.
    `CWE` | `getAccomodationCode()` Retrieves the Accomodation Code.
    `NM` | `getActualLengthOfInPatientStay()` Retrieves the Actual Length Of InPatient Stay.
    `CWE` | `getAdmissionLevelOfCareCode()` Retrieves the Admission Level Of Care Code.
    `CWE` | `getAdmitReason()` Retrieves the Admit Reason.
    `ISingleCollection<CWE>` | `getAdvanceDirectiveCode()` Retrieves the Advance Directive Code.
    `DT` | `getAdvanceDirectiveLastVerifiedDate()` Retrieves the Advance Directive Last Verified Date
    `ID` | `getBabyDetainedIndicator()` Retrieves the Baby Detained Indicator.
    `ID` | `getBillingmediaCode()` Retrieves the Billing media Code.
    `ISingleCollection<XON>` | `getClinicOrganizationName()` Retrieves the Clinic Organization Name.
    `ID` | `getEmploymentIllnessRelatedIndicator()` Retrieves the Employment Illness Related Indicator.
    `NM` | `getEstimatedLengthOfInPatientStay()` Retrieves the Estimated Length Of InPatient Stay.
    `DTM` | `getExpectedAdmitDateOrTime()` Retrieves the Expected Admit Date Or Time.
    `DTM` | `getExpectedDischargeDateOrTime()` Retrieves the Expected Discharge Date Or Time.
    `CWE` | `getExpectedDischargeDisposition()` Retrieves the Expected Discharge Disposition.
    `DTM` | `getExpectedLOAReturnDAteOrTime()` Retrieves the Expected LOA Return DAte Or Time.
    `NM` | `getExpectedNumberOfInsurancePlans()` Retrieves the Expected Number Of Insurance Plans.
    `DTM` | `getExpectedPreAdmissionTestingDateOrTime()` Retrieves the Expected Pre Admission Testing Date Or Time.
    `DTM` | `getExpectedSurgeryDateAndTime()` Retrieves the Expected Surgery Date And Time.
    `DT` | `getFirstSimilarIllnessDate()` Retrieves the First Similar Illness Date.
    `CWE` | `getLivingWillCode()` Retrieves the Living Will Code.
    `ID` | `getMilitaryNonAvailabilityCode()` Retrieves the Military Non Availability Code.
    `ID` | `getMilitaryPartnershipCode()` Retrieves the Military Partnership Code.
    `CWE` | `getModeOfArrivalCode()` Retrieves the Mode Of Arrival Code.
    `ID` | `getNewBornBabyIndictor()` Retrieves the New Born Baby Indictor.
    `ISingleCollection<CWE>` | `getNotifyClergyCode()` Retrieves the Notify Clergy Code.
    `CWE` | `getOrganDonorCode()` Retrieves the Organ Donor Code.
    `CWE` | `getPatientChargeAdjustmentCode()` Retrieves the Patient Charge Adjustment Code.
    `CWE` | `getPatientConditionCode()` Retrieves the Patient Condition Code.
    `CWE` | `getPatientStatusCode()` Retrieves the Patient Status Code.
    `DT` | `getPatientStatusEffectiveDate()` Retrieves the Patient Status Effective Date.
    `ISingleCollection<ST>` | `getPatientValuables()` Retrieves the Patient Valuables.
    `ST` | `getPatientValusblesLocation()` Retrieves the Patient Valusbles Location.
    `ISingleCollection<CWE>` | `getPrecautionCode()` Retrieves the Precaution Code.
    `DT` | `getPreviousServiceDate()` Retrieves the Previous Service Date.
    `DT` | `getPreviousTreatmentDate()` Retrieves the Previous Treatment Date.
    `PL` | `getPriorPendingLocation()` Retrieve the Prior Pending Location.
    `CWE` | `getPurgeStatusCode()` Retrieves the Purge Status Code.
    `DT` | `getPurgeStatusDate()` Retrieves the Purge Status Date.
    `ISingleCollection<CWE>` | `getRecreationalDrugUseCode()` Retrieves the Recreational Drug Use Code.
    `CWE` | `getRecurringServiceCode()` Retrieves the Recurring Service Code.
    `ISingleCollection<XCN>` | `getReferralSourceCode()` Retrieves the Referral Source Code.
    `ID` | `getRetentionIndicator()` Retrieves the Retention Indicator.
    `DT` | `getSignatureOnFileDate()` Retrieves the Signature On File Date.
    `CWE` | `getSpecialProgramCode()` Retrieves the Special Program Code.
    `CWE` | `getTransferReason()` Retrieves the Transfer Reason.
    `ST` | `getVisitDescription()` Retrieves the Visit Description.
    `CWE` | `getVisitPriorityCode()` Retrieves the Visit Priority Code.
    `ID` | `getVisitProtectionIndicator()` Retrieves the Visit Protection Indicator.
    `CWE` | `getVisitPublicityCode()` Retrieves the Visit Publicity Code.
    `ISingleCollection<CWE>` | `getVisitUserCode()` Retrieves the Visit User Code.
    `void` | `setAccomodationCode(CWE objaccomodationCode)` Set the Accomodation Code.
    `void` | `setAccomodationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Accomodation Code.
    `void` | `setActualLengthOfInPatientStay(NM objactualLengthOfInPatientStay)` Set the Actual Length Of InPatient Stay.
    `void` | `setActualLengthOfInPatientStay(java.lang.String strActualLengthOfInPatientStay)` Set the Actual Length Of InPatient Stay.
    `void` | `setAdmissionLevelOfCareCode(CWE objadmissionLevelOfCareCode)` Set the Admission Level Of Care Code.
    `void` | `setAdmissionLevelOfCareCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Admission Level Of Care Code.
    `void` | `setAdmitReason(CWE objadmitReason)` Set the Admit Reason.
    `void` | `setAdmitReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Admit Reason.
    `void` | `setAdvanceDirectiveCode(ISingleCollection<CWE> objAdvanceDirectiveCodeList)` Set the Advance Directive Code list.
    `void` | `setAdvanceDirectiveLastVerifiedDate(DT objAdvanceDirectiveLastVerifiedDate)` Set the Advance Directive Last Verified Date.
    `void` | `setAdvanceDirectiveLastVerifiedDate(java.lang.String strAdvanceDirectiveLastVerifiedDate)` Set the Advance Directive Last Verified Date.
    `void` | `setBabyDetainedIndicator(ID objbabyDetainedIndicator)` Set the Baby Detained Indicator.
    `void` | `setBabyDetainedIndicator(java.lang.String strBabyDetainedIndicator)` Set the Baby Detained Indicator.
    `void` | `setBillingmediaCode(ID objbillingmediaCode)` Set the Billing media Code.
    `void` | `setBillingmediaCode(java.lang.String strBillingmediaCode)` Set the Billing media Code.
    `void` | `setClinicOrganizationName(ISingleCollection<XON> objClinicOrganizationNameList)` Set Clinic Organization Name.
    `void` | `setEmploymentIllnessRelatedIndicator(ID objemploymentIllnessRelatedIndicator)` Set the Employment Illness Related Indicator.
    `void` | `setEmploymentIllnessRelatedIndicator(java.lang.String strEmploymentIllnessRelatedIndicator)` Set the Employment Illness Related Indicator.
    `void` | `setEstimatedLengthOfInPatientStay(NM objestimatedLengthOfInPatientStay)` Set the Estimated Length Of InPatient Stay.
    `void` | `setEstimatedLengthOfInPatientStay(java.lang.String strEstimatedLengthOfInPatientStay)` Set the Estimated Length Of InPatient Stay.
    `void` | `setExpectedAdmitDateOrTime(DTM objexpectedAdmitDateOrTime)` Set the Expected Admit Date Or Time.
    `void` | `setExpectedAdmitDateOrTime(java.lang.String strTime)` Set the Expected Admit Date Or Time.
    `void` | `setExpectedDischargeDateOrTime(DTM objexpectedDischargeDateOrTime)` Set the Expected Discharge Date Or Time.
    `void` | `setExpectedDischargeDateOrTime(java.lang.String strTime)` Set the Expected Discharge Date Or Time.
    `void` | `setExpectedDischargeDisposition(CWE objexpectedDischargeDisposition)` Set the Expected Discharge Disposition.
    `void` | `setExpectedDischargeDisposition(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Expected Discharge Disposition.
    `void` | `setExpectedLOAReturnDAteOrTime(DTM objexpectedLOAReturnDAteOrTime)` Set the Expected LOA Return DAte Or Time.
    `void` | `setExpectedLOAReturnDAteOrTime(java.lang.String strTime)` Set the Expected LOA Return DAte Or Time.
    `void` | `setExpectedNumberOfInsurancePlans(NM objexpectedNumberOfInsurancePlans)` Set the Expected Number Of Insurance Plans.
    `void` | `setExpectedNumberOfInsurancePlans(java.lang.String strExpectedNumberOfInsurancePlans)` Set the Expected Number Of Insurance Plans.
    `void` | `setExpectedPreAdmissionTestingDateOrTime(DTM objexpectedPreAdmissionTestingDateOrTime)` Set the Expected Pre Admission Testing Date Or Time.
    `void` | `setExpectedPreAdmissionTestingDateOrTime(java.lang.String strTime)` Set the Expected Pre Admission Testing Date Or Time.
    `void` | `setExpectedSurgeryDateAndTime(DTM objexpectedSurgeryDateAndTime)` Set the Expected Surgery Date And Time.
    `void` | `setExpectedSurgeryDateAndTime(java.lang.String strTime)` Set the Expected Surgery Date And Time.
    `void` | `setFirstSimilarIllnessDate(DT objfirstSimilarIllnessDate)` Set the First Similar Illness Date.
    `void` | `setFirstSimilarIllnessDate(java.lang.String strFirstSimilarIllnessDate)` Set the First Similar Illness Date.
    `void` | `setLivingWillCode(CWE objlivingWillCode)` Set the Living Will Code.
    `void` | `setLivingWillCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Will Code.
    `void` | `setMilitaryNonAvailabilityCode(ID objmilitaryNonAvailabilityCode)` Set the Military Non Availability Code.
    `void` | `setMilitaryNonAvailabilityCode(java.lang.String strMilitaryNonAvailabilityCode)` Set the Military Non Availability Code.
    `void` | `setMilitaryPartnershipCode(ID objmilitaryPartnershipCode)` Set the Military Partnership Code.
    `void` | `setMilitaryPartnershipCode(java.lang.String strMilitaryPartnershipCode)` Set the Military Partnership Code.
    `void` | `setModeOfArrivalCode(CWE objmodeOfArrivalCode)` Set the Mode Of Arrival Code.
    `void` | `setModeOfArrivalCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Mode Of Arrival Code.
    `void` | `setNewBornBabyIndictor(ID objnewBornBabyIndictor)` Set the New Born Baby Indictor.
    `void` | `setNewBornBabyIndictor(java.lang.String strNewBornBabyIndictor)` Set the New Born Baby Indictor.
    `void` | `setNotifyClergyCode(ISingleCollection<CWE> objNotifyClergyCodeList)` Set the Notify Clergy Code List.
    `void` | `setOrganDonorCode(CWE objorganDonorCode)` Set the Organ Donor Code.
    `void` | `setOrganDonorCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Organ Donor Code.
    `void` | `setPatientChargeAdjustmentCode(CWE objpatientChargeAdjustmentCode)` Set the Patient Charge Adjustment Code.
    `void` | `setPatientChargeAdjustmentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Charge Adjustment Code.
    `void` | `setPatientConditionCode(CWE objpatientConditionCode)` Set the Patient Condition Code.
    `void` | `setPatientConditionCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Condition Code.
    `void` | `setPatientStatusCode(CWE objpatientStatusCode)` Set the Patient Status Code.
    `void` | `setPatientStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Status Code.
    `void` | `setPatientStatusEffectiveDate(DT objpatientStatusEffectiveDate)` Set the Patient Status Effective Date.
    `void` | `setPatientStatusEffectiveDate(java.lang.String strPatientStatusEffectiveDate)` Set the Patient Status Effective Date.
    `void` | `setPatientValuables(ISingleCollection<ST> objPatientValuablesList)` Set the Patient Valuables.
    `void` | `setPatientValusblesLocation(ST objpatientValusblesLocation)` Set the Patient Valusbles Location.
    `void` | `setPatientValusblesLocation(java.lang.String strPatientValuablesLocation)` Set the Patient Valusbles Location.
    `void` | `setPrecautionCode(ISingleCollection<CWE> objPrecautionCodeList)` Set the Precaution Code list.
    `void` | `setPreviousServiceDate(DT objpreviousServiceDate)` Set the Previous Service Date.
    `void` | `setPreviousServiceDate(java.lang.String strPreviousServiceDate)` Set the Previous Service Date.
    `void` | `setPreviousTreatmentDate(DT objpreviousTreatmentDate)` Set the Previous Treatment Date.
    `void` | `setPreviousTreatmentDate(java.lang.String strPreviousTreatmentDate)` Set the Previous Treatment Date.
    `void` | `setPriorPendingLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Prior Pending Location.
    `void` | `setPriorPendingLocation(PL objpriorPendingLocation)` Set the Prior Pending Location.
    `void` | `setPurgeStatusCode(CWE objpurgeStatusCode)` Set the Purge Status Code.
    `void` | `setPurgeStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Purge Status Code.
    `void` | `setPurgeStatusDate(DT objpurgeStatusDate)` Set the Purge Status Date.
    `void` | `setPurgeStatusDate(java.lang.String strPurgeStatusDate)` Set the Purge Status Date.
    `void` | `setRecreationalDrugUseCode(ISingleCollection<CWE> objRecreationalDrugUseCodeList)` Set the Recreational Drug UseCode List.
    `void` | `setRecurringServiceCode(CWE objrecurringServiceCode)` Set the Recurring Service Code.
    `void` | `setRecurringServiceCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Recurring Service Code.
    `void` | `setReferralSourceCode(ISingleCollection<XCN> objReferralSourceCodeList)` Set Referral SourceCode.
    `void` | `setRetentionIndicator(ID objretentionIndicator)` Set the Retention Indicator.
    `void` | `setRetentionIndicator(java.lang.String strRetentionIndicator)` Set the Retention Indicator.
    `void` | `setSignatureOnFileDate(DT objsignatureOnFileDate)` Sets the Signature On File Date.
    `void` | `setSignatureOnFileDate(java.lang.String strSignatureOnFileDate)` Set the Signature On File Date.
    `void` | `setSpecialProgramCode(CWE objspecialProgramCode)` Set the Special Program Code.
    `void` | `setSpecialProgramCode(java.lang.String strSpecialProgramCode)` Set the Special Program Code.
    `void` | `setTransferReason(CWE objtransferReason)` Set the Transfer Reason.
    `void` | `setTransferReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transfer Reason.
    `void` | `setVisitDescription(ST objvisitDescription)` Set the Visit Description.
    `void` | `setVisitDescription(java.lang.String strVisitDescription)` Set the Visit Description.
    `void` | `setVisitPriorityCode(CWE objvisitPriorityCode)` Set the Visit Priority Code.
    `void` | `setVisitPriorityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Visit Priority Code.
    `void` | `setVisitProtectionIndicator(ID objvisitProtectionIndicator)` Set the Visit Protection Indicator.
    `void` | `setVisitProtectionIndicator(java.lang.String strVisitProtectionIndicator)` Set the Visit Protection Indicator.
    `void` | `setVisitPublicityCode(CWE objvisitPublicityCode)` Set the Visit Publicity Code.
    `void` | `setVisitPublicityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Visit Publicity Code.
    `void` | `setVisitUserCode(ISingleCollection<CWE> objVisitUserCodeList)` Set the Visit User Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PV2

          public PV2()

      Constucts the PV2 segment.

  - ### Method Detail

    - #### getAccomodationCode

          public CWE getAccomodationCode()

      Retrieves the Accomodation Code. This field is require for cancel pending transfer messages.
      Returns:
        CWE - accomodationCode

    - #### getActualLengthOfInPatientStay

          public NM getActualLengthOfInPatientStay()

      Retrieves the Actual Length Of InPatient Stay.
      Returns:
        String - actualLengthOfInPatientStay

    - #### getAdmissionLevelOfCareCode

          public CWE getAdmissionLevelOfCareCode()

      Retrieves the Admission Level Of Care Code. This field indicate the acuity level assigned to the patient at the time of admission.
      Returns:
        CWE - admissionLevelOfCareCode

    - #### getAdmitReason

          public CWE getAdmitReason()

      Retrieves the Admit Reason. This field contains the reason for patient admission.
      Returns:
        CWE - admitReason

    - #### getAdvanceDirectiveCode

          public ISingleCollection<CWE> getAdvanceDirectiveCode()

      Retrieves the Advance Directive Code. This field indicates the patient's instructions to the healthcare facility.
      Returns:
        ISingleCollection - advanceDirectiveCode

    - #### getBabyDetainedIndicator

          public ID getBabyDetainedIndicator()

      Retrieves the Baby Detained Indicator. This field indicates if the baby is detained after the mother's discharge.
      Returns:
        String - babyDetainedIndicator

    - #### getBillingmediaCode

          public ID getBillingmediaCode()

      Retrieves the Billing media Code. This field indicates if the account is to be rejected from tape billing.
      Returns:
        String - billingmediaCode

    - #### getClinicOrganizationName

          public ISingleCollection<XON> getClinicOrganizationName()

      Retrieves the Clinic Organization Name. This field contains the organization name or sub-unit and identifier that is associated with the episode of care.
      Returns:
        ISingleCollection - clinicOrganizationName

    - #### getEmploymentIllnessRelatedIndicator

          public ID getEmploymentIllnessRelatedIndicator()

      Retrieves the Employment Illness Related Indicator. This field specify whether a patient's illness is job-related or not.
      Returns:
        String - employmentIllnessRelatedIndicator

    - #### getEstimatedLengthOfInPatientStay

          public NM getEstimatedLengthOfInPatientStay()

      Retrieves the Estimated Length Of InPatient Stay.
      Returns:
        String - estimatedLengthOfInPatientStay

    - #### getExpectedAdmitDateOrTime

          public DTM getExpectedAdmitDateOrTime()

      Retrieves the Expected Admit Date Or Time.
      Returns:
        DTM - expectedAdmitDateOrTime

    - #### getExpectedDischargeDateOrTime

          public DTM getExpectedDischargeDateOrTime()

      Retrieves the Expected Discharge Date Or Time.
      Returns:
        DTM - expectedDischargeDateOrTime

    - #### getExpectedDischargeDisposition

          public CWE getExpectedDischargeDisposition()

      Retrieves the Expected Discharge Disposition.
      Returns:
        String - expectedDischargeDisposition

    - #### getExpectedLOAReturnDAteOrTime

          public DTM getExpectedLOAReturnDAteOrTime()

      Retrieves the Expected LOA Return DAte Or Time.
      Returns:
        DTM - expectedLOAReturnDAteOrTime

    - #### getExpectedNumberOfInsurancePlans

          public NM getExpectedNumberOfInsurancePlans()

      Retrieves the Expected Number Of Insurance Plans. This field contains the number of insurance plans that provide coverage for this visit.
      Returns:
        String - expectedNumberOfInsurancePlans

    - #### getExpectedPreAdmissionTestingDateOrTime

          public DTM getExpectedPreAdmissionTestingDateOrTime()

      Retrieves the Expected Pre Admission Testing Date Or Time.
      Returns:
        DTM - expectedPreAdmissionTestingDateOrTime

    - #### getExpectedSurgeryDateAndTime

          public DTM getExpectedSurgeryDateAndTime()

      Retrieves the Expected Surgery Date And Time.
      Returns:
        DTM - expectedSurgeryDateAndTime

    - #### getFirstSimilarIllnessDate

          public DT getFirstSimilarIllnessDate()

      Retrieves the First Similar Illness Date.
      Returns:
        String - firstSimilarIllnessDate

    - #### getLivingWillCode

          public CWE getLivingWillCode()

      Retrieves the Living Will Code. This field indicates whether the patient has a living will or not and if so, whether a copy of the living will is on file at the healthcare facility or not.
      Returns:
        String - livingWillCode

    - #### getMilitaryNonAvailabilityCode

          public ID getMilitaryNonAvailabilityCode()

      Retrieves the Military Non Availability Code. This field indicate whether a patient has permission to use a non-military healthcare facility for treatment or not.
      Returns:
        String - militaryNonAvailabilityCode

    - #### getMilitaryPartnershipCode

          public ID getMilitaryPartnershipCode()

      Retrieves the Military Partnership Code. This field indicates that a military healthcare facility has contract with a non-military healthcare facility for the use of its services.
      Returns:
        String - militaryPartnershipCode

    - #### getModeOfArrivalCode

          public CWE getModeOfArrivalCode()

      Retrieves the Mode Of Arrival Code. This field specify how the patient is bring to the healthcare facility.
      Returns:
        CWE - modeOfArrivalCode

    - #### getNewBornBabyIndictor

          public ID getNewBornBabyIndictor()

      Retrieves the New Born Baby Indictor.
      Returns:
        String - newBornBabyIndictor

    - #### getNotifyClergyCode

          public ISingleCollection<CWE> getNotifyClergyCode()

      Retrieves the Notify Clergy Code. This field allows the user to indicate whether the clergy should be notified or not.
      Returns:
        ISingleCollection - notifyClergyCode

    - #### getOrganDonorCode

          public CWE getOrganDonorCode()

      Retrieves the Organ Donor Code. This field indicate whether the patient want to donate his/her organs or not and whether an organ donor card or similar documentation is on file with the healthcare organization or not.
      Returns:
        String - organDonorCode

    - #### getPatientChargeAdjustmentCode

          public CWE getPatientChargeAdjustmentCode()

      Retrieves the Patient Charge Adjustment Code.
      Returns:
        CWE - patientChargeAdjustmentCode

    - #### getPatientConditionCode

          public CWE getPatientConditionCode()

      Retrieves the Patient Condition Code. This field indicates the patient's current medical condition for the purpose of communicating to non-medical outside parties, e.g. family, employer, religious minister, media, etc.
      Returns:
        CWE - patientConditionCode

    - #### getPatientStatusCode

          public CWE getPatientStatusCode()

      Retrieves the Patient Status Code.
      Returns:
        String - patientStatusCode

    - #### getPatientStatusEffectiveDate

          public DT getPatientStatusEffectiveDate()

      Retrieves the Patient Status Effective Date.
      Returns:
        String - patientStatusEffectiveDate

    - #### getPatientValuables

          public ISingleCollection<ST> getPatientValuables()

      Retrieves the Patient Valuables. This field contains the short description of patient valuables checked during admission.
      Returns:
        ISingleCollection - patientValuables

    - #### getPatientValusblesLocation

          public ST getPatientValusblesLocation()

      Retrieves the Patient Valusbles Location.
      Returns:
        String - patientValusblesLocation

    - #### getPrecautionCode

          public ISingleCollection<CWE> getPrecautionCode()

      Retrieves the Precaution Code. This field indicates non-clinical precautions that need to be taken with the patient.
      Returns:
        ISingleCollection - precautionCode

    - #### getPreviousServiceDate

          public DT getPreviousServiceDate()

      Retrieves the Previous Service Date. This field contains the date of previous service for the same recurring condition.
      Returns:
        String - previousServiceDate

    - #### getPreviousTreatmentDate

          public DT getPreviousTreatmentDate()

      Retrieves the Previous Treatment Date. This field contains the patient's last date of treatment for any condition prior to this visit.
      Returns:
        String - previousTreatmentDate

    - #### getPurgeStatusCode

          public CWE getPurgeStatusCode()

      Retrieves the Purge Status Code.
      Returns:
        String - purgeStatusCode

    - #### getPurgeStatusDate

          public DT getPurgeStatusDate()

      Retrieves the Purge Status Date. This field contains the date on which the data is purge from the system.
      Returns:
        String - purgeStatusDate

    - #### getRecreationalDrugUseCode

          public ISingleCollection<CWE> getRecreationalDrugUseCode()

      Retrieves the Recreational Drug Use Code.
      Returns:
        ISingleCollection - recreationalDrugUseCode

    - #### getRecurringServiceCode

          public CWE getRecurringServiceCode()

      Retrieves the Recurring Service Code. This field indicate whether the treatment is continuous or not.
      Returns:
        String - recurringServiceCode

    - #### getReferralSourceCode

          public ISingleCollection<XCN> getReferralSourceCode()

      Retrieves the Referral Source Code. This field contains the name and the identification numbers of the person or organization that made the referral.
      Returns:
        ISingleCollection - referralSourceCode

    - #### getRetentionIndicator

          public ID getRetentionIndicator()

      Retrieves the Retention Indicator. This field allows the user to control the financial and demographic purge processes at the time of visit.
      Returns:
        String - retentionIndicator

    - #### getSignatureOnFileDate

          public DT getSignatureOnFileDate()

      Retrieves the Signature On File Date. This field contain the date on which a signature is obtained for insurance billing purposes.
      Returns:
        String - signatureOnFileDate

    - #### getSpecialProgramCode

          public CWE getSpecialProgramCode()

      Retrieves the Special Program Code. This field designates the specific health insurance program reimbursement for a visitor in healthcare.
      Returns:
        String - specialProgramCode

    - #### getTransferReason

          public CWE getTransferReason()

      Retrieves the Transfer Reason.
      Returns:
        CWE - transferReason

    - #### getVisitDescription

          public ST getVisitDescription()

      Retrieves the Visit Description. This field contains a brief user-defined description of the visit.
      Returns:
        String - visitDescription

    - #### getVisitPriorityCode

          public CWE getVisitPriorityCode()

      Retrieves the Visit Priority Code.
      Returns:
        String - visitPriorityCode

    - #### getVisitProtectionIndicator

          public ID getVisitProtectionIndicator()

      Retrieves the Visit Protection Indicator.
      Returns:
        String - visitProtectionIndicator

    - #### getVisitPublicityCode

          public CWE getVisitPublicityCode()

      Retrieves the Visit Publicity Code. This field contains a user-defined code, indicating what level of publicity is allow for a specific visit.
      Returns:
        String - visitPublicityCode

    - #### getVisitUserCode

          public ISingleCollection<CWE> getVisitUserCode()

      Retrieves the Visit User Code. This field further categorizes a patient's visit with respect to an individual institution's needs.
      Returns:
        ISingleCollection - visitUserCode

    - #### getAdvanceDirectiveLastVerifiedDate

          public DT getAdvanceDirectiveLastVerifiedDate()

      Retrieves the Advance Directive Last Verified Date
      Returns:
        DT Advance Directive Last Verified Date

    - #### setAccomodationCode

          public void setAccomodationCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Accomodation Code. This field is require for cancel pending transfer messages.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAccomodationCode

          public void setAccomodationCode(CWE objaccomodationCode)

      Set the Accomodation Code. This field is require for cancel pending transfer messages.
      Parameters:
        `objaccomodationCode` - object of Accomodation Code.

    - #### setActualLengthOfInPatientStay

          public void setActualLengthOfInPatientStay(java.lang.String strActualLengthOfInPatientStay)

      Set the Actual Length Of InPatient Stay.
      Parameters:
        `strActualLengthOfInPatientStay` - Use as ActualLengthOfInPatientStay.

    - #### setActualLengthOfInPatientStay

          public void setActualLengthOfInPatientStay(NM objactualLengthOfInPatientStay)

      Set the Actual Length Of InPatient Stay.
      Parameters:
        `objactualLengthOfInPatientStay` - object of Actual Length Of InPatient Stay

    - #### setAdmissionLevelOfCareCode

          public void setAdmissionLevelOfCareCode(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Admission Level Of Care Code. This field indicate the acuity level assigned to the patient at the time of admission.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdmissionLevelOfCareCode

          public void setAdmissionLevelOfCareCode(CWE objadmissionLevelOfCareCode)

      Set the Admission Level Of Care Code. This field indicate the acuity level assigned to the patient at the time of admission.
      Parameters:
        `objadmissionLevelOfCareCode` - object of Admission Level Of CareCode.

    - #### setAdmitReason

          public void setAdmitReason(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Admit Reason. This field contains the reason for patient admission.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdmitReason

          public void setAdmitReason(CWE objadmitReason)

      Set the Admit Reason. This field contains the reason for patient admission.
      Parameters:
        `objadmitReason` - object of AdmitReason

    - #### addAdvanceDirectiveCode

          public void addAdvanceDirectiveCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Advance Directive Code. This field indicates the patient's instructions to the healthcare facility.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAdvanceDirectiveCode

          public void addAdvanceDirectiveCode(CWE objtempAdvanceDirectiveCode)

      Set the Advance Directive Code. This field indicates the patient's instructions to the healthcare facility.
      Parameters:
        `objtempAdvanceDirectiveCode` - object of Advance Directive Code.

    - #### setAdvanceDirectiveCode

          public void setAdvanceDirectiveCode(ISingleCollection<CWE> objAdvanceDirectiveCodeList)

      Set the Advance Directive Code list.
      Parameters:
        `objAdvanceDirectiveCodeList` - List of Advance Directive Code.

    - #### setBabyDetainedIndicator

          public void setBabyDetainedIndicator(java.lang.String strBabyDetainedIndicator)

      Set the Baby Detained Indicator. This field indicates if the baby is detained after the mother's discharge.
      Parameters:
        `strBabyDetainedIndicator` - Use as BabyDetainedIndicator.

    - #### setBabyDetainedIndicator

          public void setBabyDetainedIndicator(ID objbabyDetainedIndicator)

      Set the Baby Detained Indicator. This field indicates if the baby is detained after the mother's discharge.
      Parameters:
        `objbabyDetainedIndicator` - object of Baby Detained Indicator.

    - #### setBillingmediaCode

          public void setBillingmediaCode(java.lang.String strBillingmediaCode)

      Set the Billing media Code. This field indicates if the account is to be rejected from tape billing.
      Parameters:
        `strBillingmediaCode` - Use as BillingmediaCode.

    - #### setBillingmediaCode

          public void setBillingmediaCode(ID objbillingmediaCode)

      Set the Billing media Code. This field indicates if the account is to be rejected from tape billing.
      Parameters:
        `objbillingmediaCode` - object of BillingmediaCode.

    - #### addClinicOrganizationName

          public void addClinicOrganizationName(java.lang.String strOrganizationName,
                                       CWE objOrganizationNameTypeCode,
                                       HD objAssigningAuthority,
                                       java.lang.String strIdentifierTypeCode,
                                       HD objAssigningFacility,
                                       java.lang.String strNameRepresentationCode,
                                       java.lang.String strOrganizationIdentifier)

      Set the Clinic Organization Name. This field contains the organization name or sub-unit and identifier that is associated with the episode of care.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addClinicOrganizationName

          public void addClinicOrganizationName(XON objtempClinicOrganizationName)

      Sets the Clinic Organization Name.
      Parameters:
        `objClinicOrganizationName` - object of Clinic Organization Name.

    - #### setClinicOrganizationName

          public void setClinicOrganizationName(ISingleCollection<XON> objClinicOrganizationNameList)

      Set Clinic Organization Name.
      Parameters:
        `objClinicOrganizationNameList` - List of Clinic Organization Name.

    - #### setEmploymentIllnessRelatedIndicator

          public void setEmploymentIllnessRelatedIndicator(java.lang.String strEmploymentIllnessRelatedIndicator)

      Set the Employment Illness Related Indicator. This field specify whether a patient's illness is job-related or not.
      Parameters:
        `strEmploymentIllnessRelatedIndicator` - Use as EmploymentIllnessRelatedIndicator.

    - #### setEmploymentIllnessRelatedIndicator

          public void setEmploymentIllnessRelatedIndicator(ID objemploymentIllnessRelatedIndicator)

      Set the Employment Illness Related Indicator. This field specify whether a patient's illness is job-related or not.
      Parameters:
        `objemploymentIllnessRelatedIndicator` - object of Employment Illness Related Indicator.

    - #### setEstimatedLengthOfInPatientStay

          public void setEstimatedLengthOfInPatientStay(java.lang.String strEstimatedLengthOfInPatientStay)

      Set the Estimated Length Of InPatient Stay.
      Parameters:
        `strEstimatedLengthOfInPatientStay` - Use as EstimatedLengthOfInPatientStay.

    - #### setEstimatedLengthOfInPatientStay

          public void setEstimatedLengthOfInPatientStay(NM objestimatedLengthOfInPatientStay)

      Set the Estimated Length Of InPatient Stay.
      Parameters:
        `objestimatedLengthOfInPatientStay` - object of Estimated Length Of InPatientStay

    - #### setExpectedAdmitDateOrTime

          public void setExpectedAdmitDateOrTime(java.lang.String strTime)

      Set the Expected Admit Date Or Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setExpectedAdmitDateOrTime

          public void setExpectedAdmitDateOrTime(DTM objexpectedAdmitDateOrTime)

      Set the Expected Admit Date Or Time.
      Parameters:
        `objexpectedAdmitDateOrTime` - object of Expected Admit Date Or Time.

    - #### setExpectedDischargeDateOrTime

          public void setExpectedDischargeDateOrTime(java.lang.String strTime)

      Set the Expected Discharge Date Or Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setExpectedDischargeDateOrTime

          public void setExpectedDischargeDateOrTime(DTM objexpectedDischargeDateOrTime)

      Set the Expected Discharge Date Or Time.
      Parameters:
        `objexpectedDischargeDateOrTime` - object of Expected Discharge Date Or Time.

    - #### setExpectedDischargeDisposition

          public void setExpectedDischargeDisposition(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Expected Discharge Disposition.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setExpectedDischargeDisposition

          public void setExpectedDischargeDisposition(CWE objexpectedDischargeDisposition)

      Set the Expected Discharge Disposition.
      Parameters:
        `objexpectedDischargeDisposition` - object of Expected Discharge Disposition.

    - #### setExpectedLOAReturnDAteOrTime

          public void setExpectedLOAReturnDAteOrTime(java.lang.String strTime)

      Set the Expected LOA Return DAte Or Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setExpectedLOAReturnDAteOrTime

          public void setExpectedLOAReturnDAteOrTime(DTM objexpectedLOAReturnDAteOrTime)

      Set the Expected LOA Return DAte Or Time.
      Parameters:
        `objexpectedLOAReturnDAteOrTime` - object of Expected LOA Return DAte Or Time.

    - #### setExpectedNumberOfInsurancePlans

          public void setExpectedNumberOfInsurancePlans(java.lang.String strExpectedNumberOfInsurancePlans)

      Set the Expected Number Of Insurance Plans. This field contains the number of insurance plans that provide coverage for this visit.
      Parameters:
        `strExpectedNumberOfInsurancePlans` - Use as ExpectedNumberOfInsurancePlans.

    - #### setExpectedNumberOfInsurancePlans

          public void setExpectedNumberOfInsurancePlans(NM objexpectedNumberOfInsurancePlans)

      Set the Expected Number Of Insurance Plans. This field contains the number of insurance plans that provide coverage for this visit.
      Parameters:
        `objexpectedNumberOfInsurancePlans` - object of ExpectedNumberOfInsurancePlans.

    - #### setExpectedPreAdmissionTestingDateOrTime

          public void setExpectedPreAdmissionTestingDateOrTime(java.lang.String strTime)

      Set the Expected Pre Admission Testing Date Or Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setExpectedPreAdmissionTestingDateOrTime

          public void setExpectedPreAdmissionTestingDateOrTime(DTM objexpectedPreAdmissionTestingDateOrTime)

      Set the Expected Pre Admission Testing Date Or Time.
      Parameters:
        `objexpectedPreAdmissionTestingDateOrTime` - object of Expected Pre Admission Testing Date Or Time.

    - #### setExpectedSurgeryDateAndTime

          public void setExpectedSurgeryDateAndTime(java.lang.String strTime)

      Set the Expected Surgery Date And Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setExpectedSurgeryDateAndTime

          public void setExpectedSurgeryDateAndTime(DTM objexpectedSurgeryDateAndTime)

      Set the Expected Surgery Date And Time.
      Parameters:
        `objexpectedSurgeryDateAndTime` - object of Expected Surgery Date And Time.

    - #### setFirstSimilarIllnessDate

          public void setFirstSimilarIllnessDate(java.lang.String strFirstSimilarIllnessDate)

      Set the First Similar Illness Date.
      Parameters:
        `strFirstSimilarIllnessDate` - Use as FirstSimilarIllnessDate.

    - #### setFirstSimilarIllnessDate

          public void setFirstSimilarIllnessDate(DT objfirstSimilarIllnessDate)

      Set the First Similar Illness Date.
      Parameters:
        `objfirstSimilarIllnessDate` - object of FirstSimilarIllnessDate.

    - #### setLivingWillCode

          public void setLivingWillCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Will Code. This field indicates whether the patient has a living will or not and if so, whether a copy of the living will is on file at the healthcare facility or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLivingWillCode

          public void setLivingWillCode(CWE objlivingWillCode)

      Set the Living Will Code. This field indicates whether the patient has a living will or not and if so, whether a copy of the living will is on file at the healthcare facility or not.
      Parameters:
        `objlivingWillCode` - object of LivingWillCode.

    - #### setMilitaryNonAvailabilityCode

          public void setMilitaryNonAvailabilityCode(java.lang.String strMilitaryNonAvailabilityCode)

      Set the Military Non Availability Code. This field indicate whether a patient has permission to use a non-military healthcare facility for treatment or not.
      Parameters:
        `strMilitaryNonAvailabilityCode` - Use as MilitaryNonAvailabilityCode.

    - #### setMilitaryNonAvailabilityCode

          public void setMilitaryNonAvailabilityCode(ID objmilitaryNonAvailabilityCode)

      Set the Military Non Availability Code. This field indicate whether a patient has permission to use a non-military healthcare facility for treatment or not.
      Parameters:
        `objmilitaryNonAvailabilityCode` - object of MilitaryNonAvailabilityCode.

    - #### setMilitaryPartnershipCode

          public void setMilitaryPartnershipCode(java.lang.String strMilitaryPartnershipCode)

      Set the Military Partnership Code. This field indicates that a military healthcare facility has contract with a non-military healthcare facility for the use of its services.
      Parameters:
        `strMilitaryPartnershipCode` - Use as MilitaryPartnershipCode.

    - #### setMilitaryPartnershipCode

          public void setMilitaryPartnershipCode(ID objmilitaryPartnershipCode)

      Set the Military Partnership Code. This field indicates that a military healthcare facility has contract with a non-military healthcare facility for the use of its services.
      Parameters:
        `objmilitaryPartnershipCode` - object of MilitaryPartnershipCode.

    - #### setModeOfArrivalCode

          public void setModeOfArrivalCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Mode Of Arrival Code. This field specify how the patient is bring to the healthcare facility.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setModeOfArrivalCode

          public void setModeOfArrivalCode(CWE objmodeOfArrivalCode)

      Set the Mode Of Arrival Code. This field specify how the patient is bring to the healthcare facility.
      Parameters:
        `objmodeOfArrivalCode` - object of Mode Of Arrival Code.

    - #### setNewBornBabyIndictor

          public void setNewBornBabyIndictor(java.lang.String strNewBornBabyIndictor)

      Set the New Born Baby Indictor.
      Parameters:
        `strNewBornBabyIndictor` - Use as NewBornBabyIndictor.

    - #### setNewBornBabyIndictor

          public void setNewBornBabyIndictor(ID objnewBornBabyIndictor)

      Set the New Born Baby Indictor.
      Parameters:
        `objnewBornBabyIndictor` - object of NewBornBabyIndictor.

    - #### addNotifyClergyCode

          public void addNotifyClergyCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Notify Clergy Code. This field allows the user to indicate whether the clergy should be notified or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addNotifyClergyCode

          public void addNotifyClergyCode(CWE objtempNotifyClergyCode)

      Set the Notify Clergy Code. This field allows the user to indicate whether the clergy should be notified or not.
      Parameters:
        `objtempNotifyClergyCode` - object of NotifyClergyCode.

    - #### setNotifyClergyCode

          public void setNotifyClergyCode(ISingleCollection<CWE> objNotifyClergyCodeList)

      Set the Notify Clergy Code List.
      Parameters:
        `objNotifyClergyCodeList` - List of Notify Clergy Code.

    - #### setOrganDonorCode

          public void setOrganDonorCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Organ Donor Code. This field indicate whether the patient want to donate his/her organs or not and whether an organ donor card or similar documentation is on file with the healthcare organization or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrganDonorCode

          public void setOrganDonorCode(CWE objorganDonorCode)

      Set the Organ Donor Code.
      Parameters:
        `objorganDonorCode` - object of Organ Donor Code.

    - #### setPatientChargeAdjustmentCode

          public void setPatientChargeAdjustmentCode(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Charge Adjustment Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPatientChargeAdjustmentCode

          public void setPatientChargeAdjustmentCode(CWE objpatientChargeAdjustmentCode)

      Set the Patient Charge Adjustment Code.
      Parameters:
        `objpatientChargeAdjustmentCode` - object of Patient Charge Adjustment Code.

    - #### setPatientConditionCode

          public void setPatientConditionCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Condition Code. This field indicates the patient's current medical condition for the purpose of communicating to non-medical outside parties, e.g. family, employer, religious minister, media, etc.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPatientConditionCode

          public void setPatientConditionCode(CWE objpatientConditionCode)

      Set the Patient Condition Code. This field indicates the patient's current medical condition for the purpose of communicating to non-medical outside parties, e.g. family, employer, religious minister, media, etc.
      Parameters:
        `objpatientConditionCode` - object of Patient Condition Code.

    - #### setPatientStatusCode

          public void setPatientStatusCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Status Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPatientStatusCode

          public void setPatientStatusCode(CWE objpatientStatusCode)

      Set the Patient Status Code.
      Parameters:
        `objpatientStatusCode` - object of Patient Status Code.

    - #### setPatientStatusEffectiveDate

          public void setPatientStatusEffectiveDate(java.lang.String strPatientStatusEffectiveDate)

      Set the Patient Status Effective Date.
      Parameters:
        `strPatientStatusEffectiveDate` - Use as PatientStatusEffectiveDate.

    - #### setPatientStatusEffectiveDate

          public void setPatientStatusEffectiveDate(DT objpatientStatusEffectiveDate)

      Set the Patient Status Effective Date.
      Parameters:
        `objpatientStatusEffectiveDate` - object of PatientStatusEffectiveDate.

    - #### addPatientValuables

          public void addPatientValuables(java.lang.String strPatientValuables)

      Set the Patient Valuables. This field contains the short description of patient valuables checked during admission.
      Parameters:
        `strPatientValuables` - Use as PatientValuables.

    - #### addPatientValuables

          public void addPatientValuables(ST objtempPatientValuables)

      Set the Patient Valuables. This field contains the short description of patient valuables checked during admission.
      Parameters:
        `objtempPatientValuables` - object of PatientValuables.

    - #### setPatientValuables

          public void setPatientValuables(ISingleCollection<ST> objPatientValuablesList)

      Set the Patient Valuables.
      Parameters:
        `objPatientValuablesList` - List of Patient Valuables.

    - #### setPatientValusblesLocation

          public void setPatientValusblesLocation(java.lang.String strPatientValuablesLocation)

      Set the Patient Valusbles Location.
      Parameters:
        `strPatientValuablesLocation` - Use as PatientValuablesLocation.

    - #### setPatientValusblesLocation

          public void setPatientValusblesLocation(ST objpatientValusblesLocation)

      Set the Patient Valusbles Location.
      Parameters:
        `objpatientValusblesLocation` - object of PatientValuablesLocation.

    - #### addPrecautionCode

          public void addPrecautionCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Precaution Code. This field indicates non-clinical precautions that need to be taken with the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPrecautionCode

          public void addPrecautionCode(CWE objtempPrecautionCode)

      Set the Precaution Code. This field indicates non-clinical precautions that need to be taken with the patient.
      Parameters:
        `objtempPrecautionCode` - object of PrecautionCode.

    - #### setPrecautionCode

          public void setPrecautionCode(ISingleCollection<CWE> objPrecautionCodeList)

      Set the Precaution Code list.
      Parameters:
        `objPrecautionCodeList` - List of Precaution Code.

    - #### setPreviousServiceDate

          public void setPreviousServiceDate(java.lang.String strPreviousServiceDate)

      Set the Previous Service Date. This field contains the date of previous service for the same recurring condition.
      Parameters:
        `strPreviousServiceDate` - Use as PreviousServiceDate.

    - #### setPreviousServiceDate

          public void setPreviousServiceDate(DT objpreviousServiceDate)

      Set the Previous Service Date. This field contains the date of previous service for the same recurring condition.
      Parameters:
        `objpreviousServiceDate` - object of PreviousServiceDate.

    - #### setPreviousTreatmentDate

          public void setPreviousTreatmentDate(java.lang.String strPreviousTreatmentDate)

      Set the Previous Treatment Date. This field contains the patient's last date of treatment for any condition prior to this visit.
      Parameters:
        `strPreviousTreatmentDate` - Use as PreviousTreatmentDate.

    - #### setPreviousTreatmentDate

          public void setPreviousTreatmentDate(DT objpreviousTreatmentDate)

      Set the Previous Treatment Date. This field contains the patient's last date of treatment for any condition prior to this visit.
      Parameters:
        `objpreviousTreatmentDate` - object of PreviousTreatmentDate.

    - #### setPriorPendingLocation

          public void setPriorPendingLocation(HD objPointOfCare,
                                     HD objRoom,
                                     HD objBed,
                                     HD objFacility,
                                     java.lang.String strLocationStatus,
                                     java.lang.String strPersonLocationType,
                                     HD objBuilding,
                                     HD objFloor,
                                     java.lang.String strLocationDescription,
                                     EI objComprehensiveLocationIdentifier,
                                     HD objAssigningAuthorityForLocation)

      Set the Prior Pending Location.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setPriorPendingLocation

          public void setPriorPendingLocation(PL objpriorPendingLocation)

      Set the Prior Pending Location.
      Parameters:
        `objpriorPendingLocation` - object of AssigningAuthorityForLocation.

    - #### setPurgeStatusCode

          public void setPurgeStatusCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Purge Status Code. Marked for purge. User is no longer able to update the visit.The visit is marked for deletion and the user cannot enter new data against it. The visit is marked inactive and the user cannot enter new data against it.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPurgeStatusCode

          public void setPurgeStatusCode(CWE objpurgeStatusCode)

      Set the Purge Status Code.
      Parameters:
        `objpurgeStatusCode` - object of Purge Status Code.

    - #### setPurgeStatusDate

          public void setPurgeStatusDate(java.lang.String strPurgeStatusDate)

      Set the Purge Status Date. This field contains the date on which the data is purge from the system.
      Parameters:
        `strPurgeStatusDate` - Use as PurgeStatusDate.

    - #### setPurgeStatusDate

          public void setPurgeStatusDate(DT objpurgeStatusDate)

      Set the Purge Status Date. This field contains the date on which the data is purge from the system.
      Parameters:
        `objpurgeStatusDate` - object of PurgeStatusDate.

    - #### addRecreationalDrugUseCode

          public void addRecreationalDrugUseCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Recreational Drug Use Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRecreationalDrugUseCode

          public void addRecreationalDrugUseCode(CWE objtempRecreationalDrugUseCode)

      Set the Recreational Drug Use Code.
      Parameters:
        `objtempRecreationalDrugUseCode` - object of Recreational Drug Use Code.

    - #### setRecreationalDrugUseCode

          public void setRecreationalDrugUseCode(ISingleCollection<CWE> objRecreationalDrugUseCodeList)

      Set the Recreational Drug UseCode List.
      Parameters:
        `objDiagnosingClinicianList` - List of Recreational Drug UseCode.

    - #### setRecurringServiceCode

          public void setRecurringServiceCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Recurring Service Code. This field indicate whether the treatment is continuous or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRecurringServiceCode

          public void setRecurringServiceCode(CWE objrecurringServiceCode)

      Set the Recurring Service Code. This field indicate whether the treatment is continuous or not.
      Parameters:
        `objrecurringServiceCode` - object of RecurringServiceCode

    - #### addReferralSourceCode

          public void addReferralSourceCode(java.lang.String strIDNumber,
                                   FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   CWE objSourceTable,
                                   HD objAssigningAuthority,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strIdentifierCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepratment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set the Referral Source Code. This field contains the name and the identification numbers of the person or organization that made the referral.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addReferralSourceCode

          public void addReferralSourceCode(XCN objtempReferralSourceCode)

      Sets the Referral Source Code.
      Parameters:
        `objtempReferralSourceCode` - object of ReferralSourceCode

    - #### setReferralSourceCode

          public void setReferralSourceCode(ISingleCollection<XCN> objReferralSourceCodeList)

      Set Referral SourceCode.
      Parameters:
        `objReferralSourceCodeList` - List of Referral SourceCode.

    - #### setRetentionIndicator

          public void setRetentionIndicator(java.lang.String strRetentionIndicator)

      Set the Retention Indicator. This field allows the user to control the financial and demographic purge processes at the time of visit. processes at the visit. It is used to preserve demographic and financial data on specific, high priority visits
      Parameters:
        `strRetentionIndicator` - Use as RetentionIndicator.

    - #### setRetentionIndicator

          public void setRetentionIndicator(ID objretentionIndicator)

      Set the Retention Indicator. This field allows the user to control the financial and demographic purge processes at the time of visit. processes at the visit. It is used to preserve demographic and financial data on specific, high priority visits
      Parameters:
        `objretentionIndicator` - object of RetentionIndicator.

    - #### setSignatureOnFileDate

          public void setSignatureOnFileDate(java.lang.String strSignatureOnFileDate)

      Set the Signature On File Date. This field contain the date on which a signature is obtained for insurance billing purposes.
      Parameters:
        `strSignatureOnFileDate` - Use as SignatureOnFileDate.

    - #### setSignatureOnFileDate

          public void setSignatureOnFileDate(DT objsignatureOnFileDate)

      Sets the Signature On File Date.
      Parameters:
        `objsignatureOnFileDate` - object of Signature On File Date.

    - #### setSpecialProgramCode

          public void setSpecialProgramCode(java.lang.String strSpecialProgramCode)

      Set the Special Program Code. This field designates the specific health insurance program reimbursement for a visitor in healthcare.
      Parameters:
        `strSpecialProgramCode` - Use as CH Child Health Assistance ES Elective Surgery Program FP Family Planning O Other U Unknown

    - #### setSpecialProgramCode

          public void setSpecialProgramCode(CWE objspecialProgramCode)

      Set the Special Program Code. This field designates the specific health insurance program reimbursement for a visitor in healthcare.
      Parameters:
        `objspecialProgramCode` - object of Special Program Code.

    - #### setTransferReason

          public void setTransferReason(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transfer Reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransferReason

          public void setTransferReason(CWE objtransferReason)

      Set the Transfer Reason.
      Parameters:
        `objtransferReason` - object of Transfer Reason.

    - #### setVisitDescription

          public void setVisitDescription(java.lang.String strVisitDescription)

      Set the Visit Description. This field contains a brief user-defined description of the visit.
      Parameters:
        `strVisitDescription` - Use as VisitDescription.

    - #### setVisitDescription

          public void setVisitDescription(ST objvisitDescription)

      Set the Visit Description. This field contains a brief user-defined description of the visit.
      Parameters:
        `objvisitDescription` - object of VisitDescription.

    - #### setVisitPriorityCode

          public void setVisitPriorityCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Visit Priority Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVisitPriorityCode

          public void setVisitPriorityCode(CWE objvisitPriorityCode)

      Set the Visit Priority Code.
      Parameters:
        `objvisitPriorityCode` - object of Visit Priority Code.

    - #### setVisitProtectionIndicator

          public void setVisitProtectionIndicator(java.lang.String strVisitProtectionIndicator)

      Set the Visit Protection Indicator.
      Parameters:
        `strVisitProtectionIndicator` - Use as VisitProtectionIndicator.

    - #### setVisitProtectionIndicator

          public void setVisitProtectionIndicator(ID objvisitProtectionIndicator)

      Set the Visit Protection Indicator.
      Parameters:
        `objvisitProtectionIndicator` - object of VisitProtectionIndicator.

    - #### setVisitPublicityCode

          public void setVisitPublicityCode(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Visit Publicity Code. This field contains a user-defined code, indicating what level of publicity is allow for a specific visit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVisitPublicityCode

          public void setVisitPublicityCode(CWE objvisitPublicityCode)

      Set the Visit Publicity Code. This field contains a user-defined code, indicating what level of publicity is allow for a specific visit.
      Parameters:
        `objvisitPublicityCode` - object of Visit Publicity Code.

    - #### addVisitUserCode

          public void addVisitUserCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Visit User Code. This field further categorizes a patient's visit with respect to an individual institution's needs.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addVisitUserCode

          public void addVisitUserCode(CWE objtempVisitUserCode)

      Set the Visit User Code. This field further categorizes a patient's visit with respect to an individual institution's needs.
      Parameters:
        `objtempVisitUserCode` - object of VisitUserCode.

    - #### setVisitUserCode

          public void setVisitUserCode(ISingleCollection<CWE> objVisitUserCodeList)

      Set the Visit User Code.
      Parameters:
        `objVisitUserCodeList` - List of Visit User Code.

    - #### setAdvanceDirectiveLastVerifiedDate

          public void setAdvanceDirectiveLastVerifiedDate(java.lang.String strAdvanceDirectiveLastVerifiedDate)

      Set the Advance Directive Last Verified Date.
      Parameters:
        `strAdvanceDirectiveLastVerifiedDate` - Use as PatientStatusEffectiveDate.

    - #### setAdvanceDirectiveLastVerifiedDate

          public void setAdvanceDirectiveLastVerifiedDate(DT objAdvanceDirectiveLastVerifiedDate)

      Set the Advance Directive Last Verified Date.
      Parameters:
        `objAdvanceDirectiveLastVerifiedDate` - object of AdvanceDirectiveLastVerifiedDate.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.

    - #### getPriorPendingLocation

          public PL getPriorPendingLocation()

      Retrieve the Prior Pending Location.
      Returns:
        PL priorPendingLocation